﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Popups;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace AllDay_ContextMenu
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            schedule.ContextMenuOpening += schedule_ContextMenuOpening;

        }

   private async void schedule_ContextMenuOpening(object sender, Syncfusion.UI.Xaml.Schedule.ContextMenuOpeningEventArgs e)
        {
            var originalSource = e.CurrentEventArgs.OriginalSource;
            var allDayItemsControl = (originalSource as FrameworkElement).FindParentElementOfType<ScheduleAllDaysAppointmentItemsControl>();
            bool isAllDayClicked = allDayItemsControl != null;
            if (isAllDayClicked)
            {
                MessageDialog msgDialog = new MessageDialog("This is AllDay");
             
               await msgDialog.ShowAsync();
            }

        }
    }
}
